diff --git a/CMakeLists.txt b/CMakeLists.txt
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -78,7 +78,7 @@
 check_include_files(malloc.h HAVE_MALLOC_H)
 check_include_files(pthread.h HAVE_PTHREAD_H)
 
-find_package(Qt5 REQUIRED COMPONENTS Core DBus Widgets Script Svg Quick )
+find_package(Qt5 REQUIRED COMPONENTS Core DBus Widgets Script Svg Quick Concurrent)
 find_package(Qt5 OPTIONAL_COMPONENTS WebKitWidgets QUIET)
 
 find_package(KF5 5.23.0 OPTIONAL_COMPONENTS XmlGui QUIET)
diff --git a/renderer/CMakeLists.txt b/renderer/CMakeLists.txt
--- a/renderer/CMakeLists.txt
+++ b/renderer/CMakeLists.txt
@@ -9,12 +9,6 @@
 add_executable(kdenlive_render ${kdenlive_render_SRCS})
 ecm_mark_nongui_executable(kdenlive_render)
 
-qt5_use_modules(kdenlive_render Widgets Concurrent DBus)
-
-target_link_libraries(kdenlive_render
-  ${QT_LIBRARIES}
-  ${Qt5_LIBRARIES}
-)
-
+target_link_libraries(kdenlive_render Qt5::Core Qt5::DBus)
 
 install(TARGETS kdenlive_render DESTINATION ${BIN_INSTALL_DIR})
diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -299,7 +299,7 @@
     target_link_libraries(kdenlive KF5::Crash)
 endif()
 
-qt5_use_modules( kdenlive Script Widgets Concurrent Qml Quick)
+target_link_libraries(kdenlive Qt5::Script Qt5::Widgets Qt5::Concurrent Qt5::Qml Qt5::Quick)
 
 if (Qt5WebKitWidgets_FOUND)
     message(STATUS "Found Qt5 WebKitWidgets. You can use your Freesound.org credentials to download files")
